Strategy / REST API
Create gtm asset candidate
Create a caller-authored GTM asset candidate for one core offering. Does not invoke hosted AI or approve the asset.
POST /api/v1/gtm-assetsDeterministic operationParameters
workspaceIdRequired · string- See the input schema for this field.
offeringIdRequired · string- See the input schema for this field.
candidateRequired · object- See the input schema for this field.
offerTypeOptional · string- See the input schema for this field.direct_offer · front_end_offer · trial
curl -X POST "https://app.pipeline.help/api/v1/gtm-assets" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"workspaceId":"00000000-0000-4000-8000-000000000000","offeringId":"00000000-0000-4000-8000-000000000000","candidate":{}}'Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string"
},
"offeringId": {
"type": "string"
},
"candidate": {
"type": "object",
"additionalProperties": true
},
"offerType": {
"type": "string",
"enum": [
"direct_offer",
"front_end_offer",
"trial"
]
}
},
"required": [
"workspaceId",
"offeringId",
"candidate"
],
"additionalProperties": false
}